import React from "react";
import ColumnSetting from "./column";
interface ISetPro {
    buttons?: any[];
    fields?: any[];
    handleSettingColumn?: (rowDatas: any[]) => void;
    settingUnique?: string;
    showFields?: string[];
}
interface State {
    visible: boolean;
    currentSelected: string[];
    fields?: any[];
}
export default class Setting extends React.Component<ISetPro, State> {
    state: {
        visible: boolean;
        currentSelected: never[];
        fields: never[];
    };
    settingRefed: React.RefObject<ColumnSetting>;
    buttons(): any[];
    setShowFields(): any;
    renderButtons(): (prop: any) => React.JSX.Element;
    renderSetting(): React.JSX.Element;
    render(): React.JSX.Element;
}
export {};
